org.apache.solr.update

## Class SolrCmdDistributor.RetryNode

- java.lang.Object
- - org.apache.solr.update.SolrCmdDistributor.Node
  - - org.apache.solr.update.SolrCmdDistributor.StdNode
    - - org.apache.solr.update.SolrCmdDistributor.RetryNode

- Enclosing class:
    SolrCmdDistributor

      public static class SolrCmdDistributor.RetryNode
      extends SolrCmdDistributor.StdNode

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.update.SolrCmdDistributor.StdNode

      `collection, nodeProps, shardId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryNode(ZkCoreNodeProps nodeProps, ZkStateReader zkStateReader, String collection, String shardId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkRetry()`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.solr.update.SolrCmdDistributor.StdNode

      `getBaseUrl, getCollection, getCoreName, getNodeProps, getShardId, getUrl, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryNode

          public RetryNode(ZkCoreNodeProps nodeProps,
                           ZkStateReader zkStateReader,
                           String collection,
                           String shardId)

  - ### Method Detail

    - #### checkRetry

          public boolean checkRetry()

      Overrides:
        `checkRetry` in class `SolrCmdDistributor.StdNode`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SolrCmdDistributor.StdNode`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `SolrCmdDistributor.StdNode`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.